Export task to Python
GET
/tasks/{id}/export/pythonExports a ZIP archive containing the task configuration and a Python client that can recreate, start, stop, and wait for the task through the REST API.
Contract
Parameter | Value |
|---|---|
| Section | tasks |
| Authentication | CookieAuth |
| Consumes | not required |
| Produces | application/zip |
Parameters
1 parameter
Name | Location | Required | Type | Description |
|---|---|---|---|---|
| id | path | yes | integer | Task ID |
Responses
4 responses
Status | Description | Type |
|---|---|---|
200 | Python export ZIP archive | file |
400 | Invalid ID | object |
401 | Unauthorized | object |
500 | Task not found or the archive could not be generated | object |
{}{ "data": {}, "error": "<string>" }{ "data": {}, "error": "<string>" }{ "data": {}, "error": "<string>" }